org.jfree.chart.plot

## Class IntervalMarker

- java.lang.Object
- - org.jfree.chart.plot.Marker
  - - org.jfree.chart.plot.IntervalMarker

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class IntervalMarker
      extends Marker
      implements java.lang.Cloneable, java.io.Serializable

  Represents an interval to be highlighted in some way.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntervalMarker(double start, double end)` Constructs an interval marker.
    `IntervalMarker(double start, double end, java.awt.Paint paint)` Creates a new interval marker with the specified range and fill paint.
    `IntervalMarker(double start, double end, java.awt.Paint paint, java.awt.Stroke stroke, java.awt.Paint outlinePaint, java.awt.Stroke outlineStroke, float alpha)` Constructs an interval marker.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Returns a clone of the marker.
    `boolean` | `equals(java.lang.Object obj)` Tests the marker for equality with an arbitrary object.
    `double` | `getEndValue()` Returns the end value for the interval.
    `GradientPaintTransformer` | `getGradientPaintTransformer()` Returns the gradient paint transformer.
    `double` | `getStartValue()` Returns the start value for the interval.
    `void` | `setEndValue(double value)` Sets the end value for the marker and sends a `MarkerChangeEvent` to all registered listeners.
    `void` | `setGradientPaintTransformer(GradientPaintTransformer transformer)` Sets the gradient paint transformer and sends a `MarkerChangeEvent` to all registered listeners.
    `void` | `setStartValue(double value)` Sets the start value for the marker and sends a `MarkerChangeEvent` to all registered listeners.

    - ### Methods inherited from class org.jfree.chart.plot.Marker

      `addChangeListener, getAlpha, getLabel, getLabelAnchor, getLabelBackgroundColor, getLabelFont, getLabelOffset, getLabelOffsetType, getLabelPaint, getLabelTextAnchor, getListeners, getOutlinePaint, getOutlineStroke, getPaint, getStroke, notifyListeners, removeChangeListener, setAlpha, setLabel, setLabelAnchor, setLabelBackgroundColor, setLabelFont, setLabelOffset, setLabelOffsetType, setLabelPaint, setLabelTextAnchor, setOutlinePaint, setOutlineStroke, setPaint, setStroke`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntervalMarker

          public IntervalMarker(double start,
                                double end)

      Constructs an interval marker.
      Parameters:
        `start` - the start of the interval.
        `end` - the end of the interval.

    - #### IntervalMarker

          public IntervalMarker(double start,
                                double end,
                                java.awt.Paint paint)

      Creates a new interval marker with the specified range and fill paint. The outline paint and stroke default to `null`.
      Parameters:
        `start` - the lower bound of the interval.
        `end` - the upper bound of the interval.
        `paint` - the fill paint (`null` not permitted).
      Since:
        1.0.9

    - #### IntervalMarker

          public IntervalMarker(double start,
                                double end,
                                java.awt.Paint paint,
                                java.awt.Stroke stroke,
                                java.awt.Paint outlinePaint,
                                java.awt.Stroke outlineStroke,
                                float alpha)

      Constructs an interval marker.
      Parameters:
        `start` - the start of the interval.
        `end` - the end of the interval.
        `paint` - the paint (`null` not permitted).
        `stroke` - the stroke (`null` not permitted).
        `outlinePaint` - the outline paint.
        `outlineStroke` - the outline stroke.
        `alpha` - the alpha transparency.

  - ### Method Detail

    - #### getStartValue

          public double getStartValue()

      Returns the start value for the interval.
      Returns:
        The start value.

    - #### setStartValue

          public void setStartValue(double value)

      Sets the start value for the marker and sends a `MarkerChangeEvent` to all registered listeners.
      Parameters:
        `value` - the value.
      Since:
        1.0.3

    - #### getEndValue

          public double getEndValue()

      Returns the end value for the interval.
      Returns:
        The end value.

    - #### setEndValue

          public void setEndValue(double value)

      Sets the end value for the marker and sends a `MarkerChangeEvent` to all registered listeners.
      Parameters:
        `value` - the value.
      Since:
        1.0.3

    - #### getGradientPaintTransformer

          public GradientPaintTransformer getGradientPaintTransformer()

      Returns the gradient paint transformer.
      Returns:
        The gradient paint transformer (possibly `null`).

    - #### setGradientPaintTransformer

          public void setGradientPaintTransformer(GradientPaintTransformer transformer)

      Sets the gradient paint transformer and sends a `MarkerChangeEvent` to all registered listeners.
      Parameters:
        `transformer` - the transformer (`null` permitted).

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests the marker for equality with an arbitrary object.
      Overrides:
        `equals` in class `Marker`
      Parameters:
        `obj` - the object (`null` permitted).
      Returns:
        A boolean.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Returns a clone of the marker.
      Overrides:
        `clone` in class `Marker`
      Returns:
        A clone.
      Throws:
        `java.lang.CloneNotSupportedException` - Not thrown by this class, but the exception is declared for the use of subclasses.